import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'

// ElementUI
import '@tools/elUI'

import axios from "@api/axios"; // API接口访问
Vue.prototype.API = axios;

import base from "@tools/base"; // 公共方法
Vue.prototype.BASE = base;
// import formCheck from "@tools/formCheck"; // 表单的处理
// Vue.prototype.FC = formCheck;
// import echartsTool from "@tools/echartsTool"; // Echarts 工具类
// Vue.prototype.ET = echartsTool;

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
